Subject: Re: bug#13815: Wrong mode for files with awkward shebang lines

From: Glenn Morris <[email-masked]>
Date: Mon, 30 Aug 2021 11:11:11 -0400

Lars Ingebrigtsen wrote:

> I thought it was because Debian changed the names of all their conf
> files (many of which are shell scripts) to .conf?

I'll repeat my earlier comments in the hope that this time someone will
read them.

I have 468 .conf files in /etc on my Debian system.
A single one (it used to be zero years ago) has a #! line.
It is nftables.conf, which contains "#!/usr/sbin/nft -f".
Emacs has no mode for "nft".

Therefore this provides zero motivation for interpreter-mode-alist to
take precedence over auto-mode-alist.